NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::TrimCurve2Builder Class Reference

Represents a NXOpen::Features::TrimCurve2 builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateTrimCurve2FeatureBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::TrimCurve2Builder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  CurveExtension { CurveExtensionNatural, CurveExtensionLinear, CurveExtensionCircular, CurveExtensionNone }
 the Curve extension selection More...
 
enum  Direction { DirectionShortest3DDistance, DirectionAlongDirection }
 the Direction type selection More...
 
enum  KeepDiscard { KeepDiscardKeep, KeepDiscardDiscard }
 the Keep or Discard selection More...
 
enum  Operation { OperationTrim, OperationDivide }
 the Trim or Divide selection More...
 

Public Member Functions

NXOpen::GeometricUtilities::TrimCurveBoundingObjectBuilderListBoundingObjectList ()
 Returns the list of bounding objects
Created in NX11.0.1. More...
 
NXOpen::GeometricUtilities::TrimCurveBoundingObjectBuilderCreateTrimCurveBoundingObjectBuilder ()
 Creates an NXOpen::GeometricUtilities::TrimCurveBoundingObjectBuilder object. More...
 
NXOpen::Features::TrimCurve2Builder::CurveExtension CurveExtensionOption ()
 Returns the curve extension option
Created in NX11.0.1. More...
 
NXOpen::GeometricUtilities::CurveOptionsCurveOptions ()
 Returns the Curve Options
Created in NX11.0.1. More...
 
NXOpen::SectionCurveToTrim ()
 Returns the curve to trim
Created in NX11.0.1. More...
 
void DeselectDivideLocation (const NXOpen::Point3d &helpPoint)
 The function deselects the divide location. More...
 
void DeselectTrimRegion (const NXOpen::Point3d &helpPoint)
 The function sets help point for region select. More...
 
NXOpen::Features::TrimCurve2Builder::Direction DirectionOption ()
 Returns the direction type
Created in NX11.0.1. More...
 
NXOpen::Features::TrimCurve2Builder::KeepDiscard KeepOrDiscard ()
 Returns the keep or discard selected option
Created in NX11.0.1. More...
 
bool MakeInputCurvesDashed ()
 Returns the make input curves dashed option
Created in NX11.0.1. More...
 
NXOpen::Features::TrimCurve2Builder::Operation OperationOption ()
 Returns the curve operation type
Created in NX11.0.1. More...
 
bool PerformExtendedIntersectionCalculation ()
 Returns the perform extended intersection calculation option
Created in NX11.0.1. More...
 
bool ProcessBoundingObjects ()
 Returns the process bounding objects option
Created in NX11.0.1. More...
 
void ResetTrimRegions ()
 The function deselects all trim regions
Created in NX11.0.1. More...
 
void SelectDivideLocation (const NXOpen::Point3d &helpPoint)
 The function selects the divide location. More...
 
void SelectTrimRegion (const NXOpen::Point3d &helpPoint)
 The function sets help point for region select. More...
 
void SetCurveExtensionOption (NXOpen::Features::TrimCurve2Builder::CurveExtension curveExtensionEnumType)
 Sets the curve extension option
Created in NX11.0.1. More...
 
void SetDirectionOption (NXOpen::Features::TrimCurve2Builder::Direction directionEnumType)
 Sets the direction type
Created in NX11.0.1. More...
 
void SetKeepOrDiscard (NXOpen::Features::TrimCurve2Builder::KeepDiscard keepOrDiscardEnumType)
 Sets the keep or discard selected option
Created in NX11.0.1. More...
 
void SetMakeInputCurvesDashed (bool makeInputCurvesDashedToggleStatus)
 Sets the make input curves dashed option
Created in NX11.0.1. More...
 
void SetOperationOption (NXOpen::Features::TrimCurve2Builder::Operation operationEnumType)
 Sets the curve operation type
Created in NX11.0.1. More...
 
void SetPerformExtendedIntersectionCalculation (bool performExtendedIntersectionCalculationToggleStatus)
 Sets the perform extended intersection calculation option
Created in NX11.0.1. More...
 
void SetProcessBoundingObjects (bool processBoundingObjectsToggleStatus)
 Sets the process bounding objects option
Created in NX11.0.1. More...
 
void SetVector (NXOpen::Direction *vector)
 Sets the user defined vector
Created in NX11.0.1. More...
 
void UpdateTrimRegionsAndDivideLocations ()
 The regions are recreated and updated to reflect the change in the boundary curves
Created in NX11.0.1. More...
 
NXOpen::DirectionVector ()
 Returns the user defined vector
Created in NX11.0.1. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::TrimCurve2 builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateTrimCurve2FeatureBuilder
Default values.

Property Value

CurveExtensionOption

None

CurveOptions.Associative

True

DirectionOption

Shortest3DDistance

KeepOrDiscard

Keep

MakeInputCurvesDashed

0

OperationOption

Trim

PerformExtendedIntersectionCalculation

False

ProcessBoundingObjects

0


Created in NX11.0.1.

Member Enumeration Documentation

the Curve extension selection

Enumerator
CurveExtensionNatural 

natural

CurveExtensionLinear 

linear

CurveExtensionCircular 

circular

CurveExtensionNone 

none

the Direction type selection

Enumerator
DirectionShortest3DDistance 

shortest3ddistance

DirectionAlongDirection 

along direction

the Keep or Discard selection

Enumerator
KeepDiscardKeep 

keep

KeepDiscardDiscard 

discard

the Trim or Divide selection

Enumerator
OperationTrim 

trim

OperationDivide 

divide

Member Function Documentation

NXOpen::GeometricUtilities::TrimCurveBoundingObjectBuilderList* NXOpen::Features::TrimCurve2Builder::BoundingObjectList ( )

Returns the list of bounding objects
Created in NX11.0.1.



License requirements : None

NXOpen::GeometricUtilities::TrimCurveBoundingObjectBuilder* NXOpen::Features::TrimCurve2Builder::CreateTrimCurveBoundingObjectBuilder ( )

Creates an NXOpen::GeometricUtilities::TrimCurveBoundingObjectBuilder object.

Returns

Created in NX11.0.1.

License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::Features::TrimCurve2Builder::CurveExtension NXOpen::Features::TrimCurve2Builder::CurveExtensionOption ( )

Returns the curve extension option
Created in NX11.0.1.



License requirements : None

NXOpen::GeometricUtilities::CurveOptions* NXOpen::Features::TrimCurve2Builder::CurveOptions ( )

Returns the Curve Options
Created in NX11.0.1.



License requirements : None

NXOpen::Section* NXOpen::Features::TrimCurve2Builder::CurveToTrim ( )

Returns the curve to trim
Created in NX11.0.1.



License requirements : None

void NXOpen::Features::TrimCurve2Builder::DeselectDivideLocation ( const NXOpen::Point3d helpPoint)

The function deselects the divide location.


Created in NX11.0.1.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
helpPointpreview point
void NXOpen::Features::TrimCurve2Builder::DeselectTrimRegion ( const NXOpen::Point3d helpPoint)

The function sets help point for region select.

The region corresponding to help point will be kept/discarded depending on trim type
Created in NX11.0.1.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
helpPointHelp point for region selection
NXOpen::Features::TrimCurve2Builder::Direction NXOpen::Features::TrimCurve2Builder::DirectionOption ( )

Returns the direction type
Created in NX11.0.1.



License requirements : None

NXOpen::Features::TrimCurve2Builder::KeepDiscard NXOpen::Features::TrimCurve2Builder::KeepOrDiscard ( )

Returns the keep or discard selected option
Created in NX11.0.1.



License requirements : None

bool NXOpen::Features::TrimCurve2Builder::MakeInputCurvesDashed ( )

Returns the make input curves dashed option
Created in NX11.0.1.



License requirements : None

NXOpen::Features::TrimCurve2Builder::Operation NXOpen::Features::TrimCurve2Builder::OperationOption ( )

Returns the curve operation type
Created in NX11.0.1.



License requirements : None

bool NXOpen::Features::TrimCurve2Builder::PerformExtendedIntersectionCalculation ( )

Returns the perform extended intersection calculation option
Created in NX11.0.1.



License requirements : None

bool NXOpen::Features::TrimCurve2Builder::ProcessBoundingObjects ( )

Returns the process bounding objects option
Created in NX11.0.1.



License requirements : None

void NXOpen::Features::TrimCurve2Builder::ResetTrimRegions ( )

The function deselects all trim regions
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING")

void NXOpen::Features::TrimCurve2Builder::SelectDivideLocation ( const NXOpen::Point3d helpPoint)

The function selects the divide location.


Created in NX11.0.1.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
helpPointpreview point
void NXOpen::Features::TrimCurve2Builder::SelectTrimRegion ( const NXOpen::Point3d helpPoint)

The function sets help point for region select.

The region corresponding to help point will be kept/discarded depending on trim type
Created in NX11.0.1.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
helpPointHelp point for region selection
void NXOpen::Features::TrimCurve2Builder::SetCurveExtensionOption ( NXOpen::Features::TrimCurve2Builder::CurveExtension  curveExtensionEnumType)

Sets the curve extension option
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
curveExtensionEnumTypeSet Curve Extesnion Type
void NXOpen::Features::TrimCurve2Builder::SetDirectionOption ( NXOpen::Features::TrimCurve2Builder::Direction  directionEnumType)

Sets the direction type
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
directionEnumTypeSet direction option
void NXOpen::Features::TrimCurve2Builder::SetKeepOrDiscard ( NXOpen::Features::TrimCurve2Builder::KeepDiscard  keepOrDiscardEnumType)

Sets the keep or discard selected option
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
keepOrDiscardEnumTypeSet keep or discard region status
void NXOpen::Features::TrimCurve2Builder::SetMakeInputCurvesDashed ( bool  makeInputCurvesDashedToggleStatus)

Sets the make input curves dashed option
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
makeInputCurvesDashedToggleStatusSet make input curves dashed status
void NXOpen::Features::TrimCurve2Builder::SetOperationOption ( NXOpen::Features::TrimCurve2Builder::Operation  operationEnumType)

Sets the curve operation type
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
operationEnumTypeSet operation type
void NXOpen::Features::TrimCurve2Builder::SetPerformExtendedIntersectionCalculation ( bool  performExtendedIntersectionCalculationToggleStatus)

Sets the perform extended intersection calculation option
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
performExtendedIntersectionCalculationToggleStatusSet perform extended intersection calculation status
void NXOpen::Features::TrimCurve2Builder::SetProcessBoundingObjects ( bool  processBoundingObjectsToggleStatus)

Sets the process bounding objects option
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
processBoundingObjectsToggleStatusSet Process Bounding Objects status
void NXOpen::Features::TrimCurve2Builder::SetVector ( NXOpen::Direction vector)

Sets the user defined vector
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
vectorSet direction vector
void NXOpen::Features::TrimCurve2Builder::UpdateTrimRegionsAndDivideLocations ( )

The regions are recreated and updated to reflect the change in the boundary curves
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING")

NXOpen::Direction* NXOpen::Features::TrimCurve2Builder::Vector ( )

Returns the user defined vector
Created in NX11.0.1.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.